Package Details: wlroots-hidpi-xprop-git 0.18.0.20240426.171736-1

Git Clone URL: https://aur.archlinux.org/wlroots-hidpi-xprop-git.git (read-only, click to copy)
Package Base: wlroots-hidpi-xprop-git
Description: Modular Wayland compositor library (git version, with patches)
Upstream URL: https://gitlab.freedesktop.org/wlroots/wlroots
Licenses: MIT
Conflicts: wlroots, wlroots-git
Provides: libwlroots.so, wlroots, wlroots-git, wlroots-hidpi-xprop
Submitter: q234rty
Maintainer: q234rty
Last Packager: q234rty
Votes: 5
Popularity: 0.000037
First Submitted: 2022-09-07 17:30 (UTC)
Last Updated: 2024-04-28 10:26 (UTC)

Dependencies (23)

Required by (104)

Sources (5)

Latest Comments

q234rty commented on 2024-02-20 13:47 (UTC)

@dcomoze: The error is most likely related to sway-git. It could probably be fixed by launch sway via sway -D legacy-wl-drm.

dcompoze commented on 2024-02-20 12:02 (UTC) (edited on 2024-02-20 12:49 (UTC) by dcompoze)

I installed wlroots-hidpi-xprop-git 0.18.0, xorg-xwayland-hidpi-xprop 23.2.4 and sway-git 1.10.

But my Xwayland windows are still blurry on a 4k monitor with sway output scale set to 2.

Do I need to configure anything else for this to work correctly?

UPDATE:

I managed to get it to work with:

xprop -root -format _XWAYLAND_GLOBAL_OUTPUT_SCALE 32c -set _XWAYLAND_GLOBAL_OUTPUT_SCALE 2

echo "Xft.dpi: 192" | xrdb -merge

Though for some reason the Xwayland application crashes with:

vulkan: No DRI3 support detected - required for presentation

Note: you can probably enable DRI3 in your Xorg config

Even though it doesn't crash with the unpatched version of xorg-xwayland.